# Changelog

## [6.0.1](https://github.com/google/gts/compare/v6.0.0...v6.0.1) (2024-10-22)


### Bug Fixes

* Allow `typescript` v5+ as a peer dependency ([#909](https://github.com/google/gts/issues/909)) ([996aaec](https://github.com/google/gts/commit/996aaece999033e2686300477bdae21debf62368))

## [6.0.0](https://github.com/google/gts/compare/v5.3.1...v6.0.0) (2024-10-10)


### ⚠ BREAKING CHANGES

* Update '.prettierrc.json' to include `trailingComma: "all"` to match internal Google config ([#822](https://github.com/google/gts/issues/822))
* Update `typescript` and other dependencies ([#902](https://github.com/google/gts/issues/902))
* Set `no-floating-promises` to `error` ([#901](https://github.com/google/gts/issues/901))
* Set `composite: true` in `tsconfig-google.json` ([#899](https://github.com/google/gts/issues/899))
* Set `stripInternal` in `tsconfig-google.json` ([#900](https://github.com/google/gts/issues/900))
* Support Node 18+ ([#896](https://github.com/google/gts/issues/896))

### Features

* Set `composite: true` in `tsconfig-google.json` ([#899](https://github.com/google/gts/issues/899)) ([71972dc](https://github.com/google/gts/commit/71972dc0e5611fbbe8b3885eb18d19563545cd4b))
* Set `no-floating-promises` to `error` ([#901](https://github.com/google/gts/issues/901)) ([1d28f92](https://github.com/google/gts/commit/1d28f92df53b9efd3924e4dbf11dc71dd8091d36))
* Set `stripInternal` in `tsconfig-google.json` ([#900](https://github.com/google/gts/issues/900)) ([9b37243](https://github.com/google/gts/commit/9b37243804dcca9a69b00142706f60f36b89e405))
* Support Node 18+ ([#896](https://github.com/google/gts/issues/896)) ([f011fa3](https://github.com/google/gts/commit/f011fa3ae9628ed72eeec6095cf8b9c0813317e7))
* Update '.prettierrc.json' to include `trailingComma: "all"` to match internal Google config ([#822](https://github.com/google/gts/issues/822)) ([27d0d93](https://github.com/google/gts/commit/27d0d93cdeedd885fa494c875957edf6399202e0))
* Update `typescript` and other dependencies ([#902](https://github.com/google/gts/issues/902)) ([1c18b3a](https://github.com/google/gts/commit/1c18b3ae1a54bbcbb587518dede9bfaf8fd5e5dd))


### Bug Fixes

* **deps:** update dependency eslint to v8.57.1 ([#903](https://github.com/google/gts/issues/903)) ([23da8ef](https://github.com/google/gts/commit/23da8ef208a8ba957c2fc5fead4c72b98448d35d))
* **deps:** update dependency eslint-plugin-prettier to v5.2.1 ([#894](https://github.com/google/gts/issues/894)) ([a6d5e6a](https://github.com/google/gts/commit/a6d5e6a24037e4ed3b2a56861ef7b7e1e20982e4))
* **deps:** update dependency prettier to v3.3.3 ([#883](https://github.com/google/gts/issues/883)) ([52dca7c](https://github.com/google/gts/commit/52dca7c40808eda19e12a840a058581097dd2c9f))

## [5.3.1](https://github.com/google/gts/compare/v5.3.0...v5.3.1) (2024-04-10)


### Bug Fixes

* **deps:** replace dependency eslint-plugin-node with eslint-plugin-n ([#865](https://github.com/google/gts/issues/865)) ([efbe3a8](https://github.com/google/gts/commit/efbe3a838f40959188190dc04b4f11f45dd1aa87))
* **deps:** update dependency eslint to v8.57.0 ([#833](https://github.com/google/gts/issues/833)) ([0c0a45c](https://github.com/google/gts/commit/0c0a45c83832034ed96c19c0f7956180587991ed))
* **deps:** update dependency prettier to v3.2.5 ([#846](https://github.com/google/gts/issues/846)) ([7e60e38](https://github.com/google/gts/commit/7e60e3878b877865b3536ea66dc3607d9243cee4))


### Performance Improvements

* Supercharge Performance & Efficiency: Leveraging `Promise.all` for Resource-Friendly Tasks 🚤 ([#838](https://github.com/google/gts/issues/838)) ([7424fe1](https://github.com/google/gts/commit/7424fe19f822dc152315c1b1eb5f874512a88b55))

## [5.3.0](https://github.com/google/gts/compare/v5.2.0...v5.3.0) (2024-03-21)


### Features

* adding pre-commit-hooks.yaml ([#858](https://github.com/google/gts/issues/858)) ([b17994d](https://github.com/google/gts/commit/b17994d2f26f0cacaf3e7956dc01bc644a32b5ae))


### Bug Fixes

* **deps:** update dependency eslint to v8.51.0 ([#812](https://github.com/google/gts/issues/812)) ([ae913c1](https://github.com/google/gts/commit/ae913c17ae4460d0f76aad16b96cb3e1f23a5b89))
* **deps:** update dependency eslint to v8.52.0 ([#821](https://github.com/google/gts/issues/821)) ([50b3ce5](https://github.com/google/gts/commit/50b3ce56190a5f785c52b00b8da56769255caaa1))
* **deps:** update dependency eslint to v8.53.0 ([#829](https://github.com/google/gts/issues/829)) ([7d9ffed](https://github.com/google/gts/commit/7d9ffed35d0ee076bda063e5189573eeba82ac0a))
* **deps:** update dependency eslint-config-prettier to v9.1.0 ([#836](https://github.com/google/gts/issues/836)) ([9105ebb](https://github.com/google/gts/commit/9105ebb83516746503f8714914fc62da0e7fe1a6))
* **deps:** update dependency eslint-plugin-prettier to v5.0.1 ([#817](https://github.com/google/gts/issues/817)) ([89b8955](https://github.com/google/gts/commit/89b8955576d1997d2bc587b79bf57d3c4d07cdda))
* **deps:** update dependency eslint-plugin-prettier to v5.1.2 ([#839](https://github.com/google/gts/issues/839)) ([b5ab5c4](https://github.com/google/gts/commit/b5ab5c495e6da286ac57dc285586806f612913b8))
* **deps:** update dependency eslint-plugin-prettier to v5.1.3 ([#845](https://github.com/google/gts/issues/845)) ([6e13e12](https://github.com/google/gts/commit/6e13e12b9d4f82fc43ef015980d5345fb47b9a41))
* **deps:** update dependency prettier to v3.1.0 ([#832](https://github.com/google/gts/issues/832)) ([faf6d7e](https://github.com/google/gts/commit/faf6d7e60e7a382077de8fd7c8c5a9ec065259a5))
* **deps:** update dependency prettier to v3.1.1 ([#837](https://github.com/google/gts/issues/837)) ([6de3e3b](https://github.com/google/gts/commit/6de3e3b9a741e6ff0e34996848a2ac1f8957bb32))

## [5.2.0](https://github.com/google/gts/compare/v5.1.1...v5.2.0) (2023-10-04)


### Features

* warn for ts-ignore comments for ESM ([#810](https://github.com/google/gts/issues/810)) ([350fbf0](https://github.com/google/gts/commit/350fbf0486c7470123eef19a8ab1816d1d05a6ee))

## [5.1.1](https://github.com/google/gts/compare/v5.1.0...v5.1.1) (2023-10-04)


### Bug Fixes

* revert feat: no-floating-promises ([44de7f7](https://github.com/google/gts/commit/44de7f705cea94d4781e4eb4b2d71a4ee4f0e89d))

## [5.1.0](https://github.com/google/gts/compare/v5.0.1...v5.1.0) (2023-09-29)


### Features

* no-floating-promises ([#756](https://github.com/google/gts/issues/756)) ([c93e733](https://github.com/google/gts/commit/c93e73316164137e29daa7bea8a48083f7d7c1da))


### Bug Fixes

* **deps:** update dependency eslint to v8.49.0 ([#784](https://github.com/google/gts/issues/784)) ([5e2a05c](https://github.com/google/gts/commit/5e2a05c12886dc63a60219e0c0830846de7c24b9))
* **deps:** update dependency eslint to v8.50.0 ([#802](https://github.com/google/gts/issues/802)) ([794abf3](https://github.com/google/gts/commit/794abf30e4ee1d4655436ad9efa11ee031027993))
* **deps:** update dependency eslint-config-prettier to v8.10.0 ([#785](https://github.com/google/gts/issues/785)) ([5391d89](https://github.com/google/gts/commit/5391d89de2b8af68b63954b01b90f88015258406))
* **deps:** update dependency eslint-config-prettier to v9 ([#777](https://github.com/google/gts/issues/777)) ([470977a](https://github.com/google/gts/commit/470977a2bc7b29db0e4abb36c362920ec16381c5))
* **deps:** update dependency prettier to v3.0.3 ([#782](https://github.com/google/gts/issues/782)) ([5a04e76](https://github.com/google/gts/commit/5a04e76c74cb4984cbf9c7f7fbee4e800b33ca52))
* run eslint from PATH ([#654](https://github.com/google/gts/issues/654)) ([5dc2a76](https://github.com/google/gts/commit/5dc2a76aae06e5e46b6b623447837c77b58cd757))

## [5.0.1](https://github.com/google/gts/compare/v5.0.0...v5.0.1) (2023-08-21)


### Bug Fixes

* line up linting with owlbot post-processing linting ([#778](https://github.com/google/gts/issues/778)) ([a731fe9](https://github.com/google/gts/commit/a731fe9aef6d0003fe229627522ab8250a9222d9))

## [5.0.0](https://github.com/google/gts/compare/v4.0.1...v5.0.0) (2023-07-26)


### ⚠ BREAKING CHANGES

* Upgrade to node 14 as the minimum version ([#771](https://github.com/google/gts/issues/771))

### Bug Fixes

* **deps:** update dependency prettier to ~2.8.0 ([#743](https://github.com/google/gts/issues/743)) ([7582516](https://github.com/google/gts/commit/75825165ea32bb9bcd5013223d5e5dff2efa731c))
* update eslint-prettier ([43d4a06](https://github.com/google/gts/commit/43d4a06a27565b7d3839432c6f8267d254f6a002))


### Miscellaneous Chores

* Upgrade to node 14 as the minimum version ([#771](https://github.com/google/gts/issues/771)) ([6301178](https://github.com/google/gts/commit/6301178c859361ddf8dfd678f94fc80ad5b7e38f))

## [4.0.1](https://github.com/google/gts/compare/v4.0.0...v4.0.1) (2023-01-09)


### Bug Fixes

* **deps:** bump json5 from 2.2.1 to 2.2.2 addressing CVE-2022-46175 ([2a1fd61](https://github.com/google/gts/commit/2a1fd614620f0dc26cc6f12c3b05a3088409b923))

## [4.0.0](https://github.com/google/gts/compare/v3.1.0...v4.0.0) (2022-07-04)


### ⚠ BREAKING CHANGES

* drop support for node.js 10.x (#686)

### Features

* generate .editorconfig ([#500](https://github.com/google/gts/issues/500)) ([81397e0](https://github.com/google/gts/commit/81397e0fd9a7f141c00b52f47c3c5d9a921292ad))


### Bug Fixes

* **deps:** update dependency eslint-config-prettier to v8 ([#624](https://github.com/google/gts/issues/624)) ([23a4abb](https://github.com/google/gts/commit/23a4abb50a539a93a7d1043669b2e42a887415fa))
* **deps:** update dependency eslint-plugin-prettier to v4 ([#657](https://github.com/google/gts/issues/657)) ([5408bfe](https://github.com/google/gts/commit/5408bfeda4eb9cc22fb948442cda4fb6da631ed7))
* **deps:** update dependency prettier to ~2.5.0 ([#660](https://github.com/google/gts/issues/660)) ([8789fd4](https://github.com/google/gts/commit/8789fd42388aead5cb572a543ae218563b21ac94))
* **deps:** update dependency prettier to ~2.6.0 ([#670](https://github.com/google/gts/issues/670)) ([2feba2c](https://github.com/google/gts/commit/2feba2cdf8884420349256420c8b5ccc9cb858c8))
* **deps:** update dependency prettier to ~2.7.0 ([#696](https://github.com/google/gts/issues/696)) ([3c677fd](https://github.com/google/gts/commit/3c677fdbad4772aea0be25c1cdd8149a88b0d735))
* **deps:** update dependency write-file-atomic to v4 ([#687](https://github.com/google/gts/issues/687)) ([f16a3e1](https://github.com/google/gts/commit/f16a3e1a1101bc5dab90ac3ab1437dd7758adf4e))
* **deps:** update typescript-eslint monorepo to v5 ([#688](https://github.com/google/gts/issues/688)) ([ed2fd0c](https://github.com/google/gts/commit/ed2fd0ce1be4826239b97bc1c8fdae5c61c50e62))
* **deps:** upgrade to eslint 8.x ([#693](https://github.com/google/gts/issues/693)) ([7ae5c8b](https://github.com/google/gts/commit/7ae5c8b827abb41844ba6f533821bf3d0a7f302b))
* drop update notifier ([#706](https://github.com/google/gts/issues/706)) ([cab7704](https://github.com/google/gts/commit/cab7704389c2ba7e8e426da08397af47991d8596))
* pin prettier to 2.3.x ([#641](https://github.com/google/gts/issues/641)) ([323fb4a](https://github.com/google/gts/commit/323fb4acacc9bfc1fcba06b27135a77acc54b15a))


### Build System

* drop support for node.js 10.x ([#686](https://github.com/google/gts/issues/686)) ([12cd913](https://github.com/google/gts/commit/12cd913b6e9eb97e52b1cf3a275aadfa4517fdcb))

## [3.1.0](https://www.github.com/google/gts/compare/v3.0.3...v3.1.0) (2021-01-11)


### Features

* support comments in JSON ([#571](https://www.github.com/google/gts/issues/571)) ([cb6d2ca](https://www.github.com/google/gts/commit/cb6d2cacb5de7bcc9c8e82dd47e14fc5bf9596a3))


### Bug Fixes

* **deps:** update dependency eslint-config-prettier to v7 ([#601](https://www.github.com/google/gts/issues/601)) ([6e26681](https://www.github.com/google/gts/commit/6e266812da4b90b18e2abead9b2b5a1ca0c6654b))
* **deps:** upgrade to latest version of meow ([#616](https://www.github.com/google/gts/issues/616)) ([634bad9](https://www.github.com/google/gts/commit/634bad9bbbdb4d397bba101dc38ab14881172a30))

### [3.0.3](https://www.github.com/google/gts/compare/v3.0.2...v3.0.3) (2020-12-03)


### Bug Fixes

* **deps:** update dependency execa to v5 ([#600](https://www.github.com/google/gts/issues/600)) ([4e5f1e5](https://www.github.com/google/gts/commit/4e5f1e54facf53588bbb3b025b5240edbd7f3c8a))
* **deps:** update dependency meow to v8 ([#591](https://www.github.com/google/gts/issues/591)) ([c7e223e](https://www.github.com/google/gts/commit/c7e223e6a2ff605fabad2f8359a0385033f8de66))

### [3.0.2](https://www.github.com/google/gts/compare/v3.0.1...v3.0.2) (2020-10-26)


### Bug Fixes

* **deps:** loosen ts peer dependency ([#589](https://www.github.com/google/gts/issues/589)) ([8f1d381](https://www.github.com/google/gts/commit/8f1d381d7b166a510c42786c4a337e81b7222c84))

### [3.0.1](https://www.github.com/google/gts/compare/v3.0.0...v3.0.1) (2020-10-12)


### Bug Fixes

* **rule:** turn off @typescript-eslint/no-var-requires ([#578](https://www.github.com/google/gts/issues/578)) ([3b37229](https://www.github.com/google/gts/commit/3b37229c45969a3c53af123c69bb749578ee6b0b))

## [3.0.0](https://www.github.com/google/gts/compare/v2.0.2...v3.0.0) (2020-10-08)


### ⚠ BREAKING CHANGES

* change default `check` to `lint` (#570)
* **deps:** require TypeScript 4.x (#565)

### Features

* Add TypeScript v4 support ([#551](https://www.github.com/google/gts/issues/551)) ([0883956](https://www.github.com/google/gts/commit/08839565a1d2b4b39d532c9b0b596f01b18856fe))
* change default `check` to `lint` ([#570](https://www.github.com/google/gts/issues/570)) ([c527b66](https://www.github.com/google/gts/commit/c527b66be1ef6a78ea14b3d29225a8d7fb7097bd))
* generate .eslintignore when running init ([#521](https://www.github.com/google/gts/issues/521)) ([8bce036](https://www.github.com/google/gts/commit/8bce0368767f0c2ad7d0700deb839962bc928d16))


### Bug Fixes

* add build/.eslintrc.json to files field ([#553](https://www.github.com/google/gts/issues/553)) ([3b516ad](https://www.github.com/google/gts/commit/3b516ad5e9f0d58201dde469461db7c6ed1c1b78))
* **deps:** require TypeScript 4.x ([#565](https://www.github.com/google/gts/issues/565)) ([cbc5267](https://www.github.com/google/gts/commit/cbc5267579ef24e8c8ceaa2ef794df3ef54ea56a))
* **deps:** update dependency update-notifier to v5 ([#574](https://www.github.com/google/gts/issues/574)) ([9a882bf](https://www.github.com/google/gts/commit/9a882bf4ac30ad06e7b91a65ad5721d8e8b41c4b))
* **deps:** update typescript-eslint monorepo to v2.34.0 ([#509](https://www.github.com/google/gts/issues/509)) ([998a4ac](https://www.github.com/google/gts/commit/998a4ac9b75c97f04d8e5db37563f32d31652f23))
* **deps:** update typescript-eslint monorepo to v3 (major) ([#528](https://www.github.com/google/gts/issues/528)) ([e22e173](https://www.github.com/google/gts/commit/e22e17338db2ddb7eb829c821037c2f4e77ff869))
* **deps:** update typescript-eslint monorepo to v4 ([#556](https://www.github.com/google/gts/issues/556)) ([54148df](https://www.github.com/google/gts/commit/54148dfbd8b5f8b36a0f44f901c5db933393a661))
* better error message for broken tsconfig.json ([#501](https://www.github.com/google/gts/issues/501)) ([0c17a76](https://www.github.com/google/gts/commit/0c17a76c6650eee1d8abaff11a897a432eeaa65f))
* prohibit calls for it.only and describe.only ([#499](https://www.github.com/google/gts/issues/499)) ([071c33c](https://www.github.com/google/gts/commit/071c33ceef0e3765166aaebf6ed4698167ac0f98))

### [2.0.2](https://www.github.com/google/gts/compare/v2.0.1...v2.0.2) (2020-05-11)


### Bug Fixes

* Revert 'update dependency eslint to v7'" ([#507](https://www.github.com/google/gts/issues/507)) ([0f9950b](https://www.github.com/google/gts/commit/0f9950b273329dbcce5f3cc20864c3dcd076f08c))
* **deps:** pin release of eslint-typescript ([#508](https://www.github.com/google/gts/issues/508)) ([bd86b42](https://www.github.com/google/gts/commit/bd86b42e2bb904d3765dee82262e4691a11b9958))
* **deps:** update dependency eslint to v7 ([#504](https://www.github.com/google/gts/issues/504)) ([6aee159](https://www.github.com/google/gts/commit/6aee1595d0486ae2c7fd68d16b1b59c4c4015753))

### [2.0.1](https://www.github.com/google/gts/compare/v2.0.0...v2.0.1) (2020-05-07)


### Bug Fixes

* throw an error if running with an unsupported version of nodejs ([#493](https://www.github.com/google/gts/issues/493)) ([94fdf1e](https://www.github.com/google/gts/commit/94fdf1eaed634aa73c3e44c7a3d9f1325f773b07))
* **deps:** update dependency meow to v7 ([#502](https://www.github.com/google/gts/issues/502)) ([cf91cda](https://www.github.com/google/gts/commit/cf91cda1afab25759427511d3c97d0037d61c649))

## [2.0.0](https://www.github.com/google/gts/compare/v1.1.2...v2.0.0) (2020-04-02)

### ⚠ BREAKING CHANGES ⚠
This is a major rewrite of the tool.  Based on community guidance, we've switched from using [tslint](https://palantir.github.io/tslint/) to [eslint](https://eslint.org/).  *Please read all of the steps below to upgrade*.

#### Configuring `eslint`
With the shift to `eslint`, `gts` now will format and lint JavaScript *as well* as TypeScript. Upgrading will require a number of manual steps.  To format JavaScript and TypeScript, you can run:

```
$ npx gts fix
```

To specify only TypeScript:

```
$ npx gts fix '**/*.ts'
```

#### Delete `tslint.json`
This file is no longer used, and can lead to confusion.

#### Create a `.eslintrc.json`
Now that we're using eslint, you need to extend the eslint configuration baked into the module.  Create a new file named `.eslintrc.json`, and paste the following:
```js
{
  "extends": "./node_modules/gts"
}
```

#### Create a `.eslintignore`
The `.eslintignore` file lets you ignore specific directories.  This tool now lints and formats JavaScript, so it's _really_ important to ignore your build directory!  Here is an example of a `.eslintignore` file:

```
**/node_modules
build/
```

#### Rule changes
The underlying linter was changed, so naturally there are going to be a variety of rule changes along the way.  To see the full list, check out [.eslintrc.json](https://github.com/google/gts/blob/main/.eslintrc.json).

#### Require Node.js 10.x and up
Node.js 8.x is now end of life - this module now requires Ndoe.js 10.x and up.

### Features

* add the eol-last rule ([#425](https://www.github.com/google/gts/issues/425)) ([50ebd4d](https://www.github.com/google/gts/commit/50ebd4dbaf063615f4c025f567ca28076a734223))
* allow eslintrc to run over tsx files ([#469](https://www.github.com/google/gts/issues/469)) ([a21db94](https://www.github.com/google/gts/commit/a21db94601def563952d677cb0980a12b6730f4c))
* disable global rule for checking TODO comments ([#459](https://www.github.com/google/gts/issues/459)) ([96aa84a](https://www.github.com/google/gts/commit/96aa84a0a42181046daa248750cc8fef0c320619))
* override require-atomic-updates ([#468](https://www.github.com/google/gts/issues/468)) ([8105c93](https://www.github.com/google/gts/commit/8105c9334ee5104b05f6b1b2f150e51419637262))
* prefer single quotes if possible ([#475](https://www.github.com/google/gts/issues/475)) ([39a2705](https://www.github.com/google/gts/commit/39a2705e51b4b6329a70f91f8293a2d7a363bf5d))
* use eslint instead of tslint ([#400](https://www.github.com/google/gts/issues/400)) ([b3096fb](https://www.github.com/google/gts/commit/b3096fbd5076d302d93c2307bf627e12c423e726))


### Bug Fixes

* use .prettierrc.js ([#437](https://www.github.com/google/gts/issues/437)) ([06efa84](https://www.github.com/google/gts/commit/06efa8444cdf1064b64f3e8d61ebd04f45d90b4c))
* **deps:** update dependency chalk to v4 ([#477](https://www.github.com/google/gts/issues/477)) ([061d64e](https://www.github.com/google/gts/commit/061d64e29d37b93ce55228937cc100e05ddef352))
* **deps:** update dependency eslint-plugin-node to v11 ([#426](https://www.github.com/google/gts/issues/426)) ([a394b7c](https://www.github.com/google/gts/commit/a394b7c1f80437f25017ca5c500b968ebb789ece))
* **deps:** update dependency execa to v4 ([#427](https://www.github.com/google/gts/issues/427)) ([f42ef36](https://www.github.com/google/gts/commit/f42ef36709251553342e655e287e889df72ee3e3))
* **deps:** update dependency prettier to v2 ([#464](https://www.github.com/google/gts/issues/464)) ([20ef43d](https://www.github.com/google/gts/commit/20ef43d566df17d3c93949ef7db3b72ee9123ca3))
* disable no-use-before-define ([#431](https://www.github.com/google/gts/issues/431)) ([dea2c22](https://www.github.com/google/gts/commit/dea2c223d1d3a60a1786aa820eebb93be27016a7))
* **deps:** update dependency update-notifier to v4 ([#403](https://www.github.com/google/gts/issues/403)) ([57393b7](https://www.github.com/google/gts/commit/57393b74c6cf299e8ae09311f0382226b8baa3e3))
* **deps:** upgrade to meow 6.x ([#423](https://www.github.com/google/gts/issues/423)) ([8f93d00](https://www.github.com/google/gts/commit/8f93d0049337a832d9a22b6ae4e86fd41140ec56))
* align back to the google style guide ([#440](https://www.github.com/google/gts/issues/440)) ([8bd78c4](https://www.github.com/google/gts/commit/8bd78c4c78526a72400f618a95a987d2a7c1a8db))
* disable empty-function check ([#467](https://www.github.com/google/gts/issues/467)) ([6455d7a](https://www.github.com/google/gts/commit/6455d7a9d227320d3ffe1b00c9c739b846f339a8))
* drop support for node 8 ([#422](https://www.github.com/google/gts/issues/422)) ([888c686](https://www.github.com/google/gts/commit/888c68692079065f38ce66ec84472f1f3311a050))
* emit .prettierrc.js with init ([#462](https://www.github.com/google/gts/issues/462)) ([b114614](https://www.github.com/google/gts/commit/b114614d22ab5560d2d1dd5cb6695968cc80027b))
* enable trailing comma ([#470](https://www.github.com/google/gts/issues/470)) ([6518f58](https://www.github.com/google/gts/commit/6518f5843d3093e3beb7d3371b56d9aecedf3924))
* include *.tsx and *.jsx in default fix command ([#473](https://www.github.com/google/gts/issues/473)) ([0509780](https://www.github.com/google/gts/commit/050978005ad089d9b3b5d8895b25ea1175d75db2))

### [1.1.2](https://www.github.com/google/gts/compare/v1.1.1...v1.1.2) (2019-11-20)


### Bug Fixes

* **deps:** update to newest prettier (with support for optional chain) ([#396](https://www.github.com/google/gts/issues/396)) ([ce8ad06](https://www.github.com/google/gts/commit/ce8ad06c8489c44a9e2ed5292382637b3ebb7601))

### [1.1.1](https://www.github.com/google/gts/compare/v1.1.0...v1.1.1) (2019-11-11)


### Bug Fixes

* **deps:** update dependency chalk to v3 ([#389](https://www.github.com/google/gts/issues/389)) ([1ce0f45](https://www.github.com/google/gts/commit/1ce0f450677e143a27efc39def617d13c66503e8))
* **deps:** update dependency inquirer to v7 ([#377](https://www.github.com/google/gts/issues/377)) ([bf2c349](https://www.github.com/google/gts/commit/bf2c349b2208ac63e551542599ac9cd27b461338))
* **deps:** update dependency rimraf to v3 ([#374](https://www.github.com/google/gts/issues/374)) ([2058eaa](https://www.github.com/google/gts/commit/2058eaa682f4baae978b469fd708d1f866e7da74))
* **deps:** update dependency write-file-atomic to v3 ([#353](https://www.github.com/google/gts/issues/353)) ([59e6aa8](https://www.github.com/google/gts/commit/59e6aa8580a2f8e9457d2d2b6fa9e18e86347592))
